package org.ntlab.radishforandroidstudio.cactusClient.models;


public class Plain {
    private double a; // 平面の方程式 ax+by+cz+d のa
    private double b; // 平面の方程式 ax+by+cz+d のb
    private double c; // 平面の方程式 ax+by+cz+d のc
    private double d; // 平面の方程式 ax+by+cz+d のd

    private Plain() {
        // JSONDecode時の呼び出し用
    }

    public Plain(double a, double b, double c, double d) {
        setA(a);
        setB(b);
        setC(c);
        setD(d);
    }

    public double getA() {
        return a;
    }

    public double getB() {
        return b;
    }

    public double getC() {
        return c;
    }

    public double getD() {
        return d;
    }

    public void setA(double a) {
        this.a = a;
    }

    public void setB(double b) {
        this.b = b;
    }

    public void setC(double c) {
        this.c = c;
    }

    public void setD(double d) {
        this.d = d;
    }
}